> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signals

> Get list of trust signals evaluated.

Public endpoint (no auth) for transparency.
Includes CORS headers.

Returns:
    List of TrustSignal objects



## OpenAPI

````yaml /api-reference/openapi.json get /v1/self-verify/signals
openapi: 3.1.0
info:
  title: LimitGuard.ai
  description: Trust Intelligence API - Entity verification and risk scoring
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/self-verify/signals:
    get:
      summary: Get Signals
      description: |-
        Get list of trust signals evaluated.

        Public endpoint (no auth) for transparency.
        Includes CORS headers.

        Returns:
            List of TrustSignal objects
      operationId: get_signals_v1_self_verify_signals_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TrustSignal'
                type: array
                title: Response Get Signals V1 Self Verify Signals Get
components:
  schemas:
    TrustSignal:
      properties:
        signal_name:
          type: string
          title: Signal Name
          description: Name of the trust signal
        status:
          type: string
          title: Status
          description: Signal status (verified, pending, failed)
        verifiable:
          type: boolean
          title: Verifiable
          description: Whether signal can be independently verified
        evidence_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Evidence Url
          description: URL to verification evidence
        description:
          type: string
          title: Description
          description: Human-readable signal description
      type: object
      required:
        - signal_name
        - status
        - verifiable
        - description
      title: TrustSignal
      description: Individual trust signal verification result.

````